Description

When copying an issue, you can select the following behaviors:

1. whether to make a relation between source and destination issues

2. whether to copy attachments

And the former has a setting to set the default behavior (#18500). However, the latter does not.

| think it should also be possible to configure the default behavior whether to copy attachments or not.

Settings

Allow cross-project issue relations |:|

General Display Authentication API Projects

Users Issue tracking Time trac

Close duplicate issues automatically
Allow issue assignment to groups D

Use current date as start date for new

issues

Display subprojects issues on main

projects by default

Link issues on copy Ask Vv
Copy attachments on copy Ask Vv
Allow cross-project subtasks With project tree v

Calculate the issue done ratio with Use the issue field v

Associated revisions

Revision 22926 - 2024-07-14 03:49 - Go MAEDA

Add configurable setting for copying attachments when copying an issue (#36197).

Patch by Yuichi HARADA (user:yui.har).

Revision 22927 - 2024-07-14 03:52 - Go MAEDA
Update locales (#36197).

History

#1 - 2021-11-22 06:53 - Yuichi HARADA

2025-05-17

1/2



https://www.redmine.org/issues/18500

- File 36197.patch added

+1
I think it's a great way if you don't want to copy attachments.
| created a patch and attached it.

#2 - 2021-12-16 08:43 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2021-12-21 08:58 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-12-31 01:48 - Go MAEDA

- Target version changed from 5.0.0 to Candidate for next major release

#5 - 2024-06-25 10:49 - Jérome Gallot

+1

#6 - 2024-07-01 16:28 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#7 - 2024-07-07 10:42 - Go MAEDA
- File 36197-v2.patch added

Updated the patch to change the setting name from copy_attachments_issue from copy_attachments_on_issue_copy.

#8 - 2024-07-14 03:51 - Go MAEDA

- Subject changed from Make the default behavior of copying attachments configurable when copying an issue to Add configurable setting for copying

attachments when copying an issue
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22926. Thank you for your contribution.
